Index: rtemsspec/interface.py
===================================================================
--- rtemsspec/interface.py	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ rtemsspec/interface.py	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -60,4 +60,8 @@
 
 
+def _get_value_params(ctx: ItemGetValueContext) -> Any:
+    return f"``{ctx.value[ctx.key]}``"
+
+
 class _InterfaceMapper(ItemMapper):
     def __init__(self, node: "Node"):
@@ -71,4 +75,6 @@
         self.add_get_value("interface/function/doc:/name",
                            get_value_doxygen_function)
+        self.add_get_value("interface/function/doc:/params/name",
+                           _get_value_params)
         self.add_get_value("interface/enumerator/doc:/name",
                            get_value_double_colon)
@@ -79,4 +85,6 @@
         self.add_get_value("interface/macro/doc:/name",
                            get_value_doxygen_function)
+        self.add_get_value("interface/macro/doc:/params/name",
+                           _get_value_params)
         self.add_get_value("interface/variable/doc:/name", get_value_hash)
         for opt in ["feature-enable", "feature", "initializer", "integer"]:
Index: rtemsspec/interfacedoc.py
===================================================================
--- rtemsspec/interfacedoc.py	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ rtemsspec/interfacedoc.py	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -65,4 +65,8 @@
 
 
+def _get_param(ctx: ItemGetValueContext) -> Any:
+    return f"``{ctx.value[ctx.key].lstrip('_')}``"
+
+
 class _Mapper(SphinxMapper):
     def __init__(self, item: Item):
@@ -70,4 +74,6 @@
         self.add_get_value("interface/function:/name", _get_value_function)
         self.add_get_value("interface/macro:/name", _get_value_function)
+        self.add_get_value("interface/function:/params/name", _get_param)
+        self.add_get_value("interface/macro:/params/name", _get_param)
 
 
Index: rtemsspec/tests/spec-interface/func.yml
===================================================================
--- rtemsspec/tests/spec-interface/func.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ rtemsspec/tests/spec-interface/func.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -18,4 +18,5 @@
   ${enum:/name}, ${define:/name}, ${macro:/name}, ${var:/name},
   ${enumerator-0:/name}, ${s:/name}, ${option:/name}, and ${option:/type}.
+  Second parameter is ${.:/params[1]/name}.
 enabled-by: true
 index-entries: []
Index: rtemsspec/tests/test_interface.py
===================================================================
--- rtemsspec/tests/test_interface.py	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ rtemsspec/tests/test_interface.py	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -206,5 +206,5 @@
  * Function description.  References to VeryLongFunction(), ::Integer, #Enum,
  * #DEFINE, VERY_LONG_MACRO(), #Variable, ::ENUMERATOR_0, Struct, #a, and
- * interface.
+ * interface. Second parameter is ``Param1``.
  *
  * @param Param0 is parameter 0.
Index: rtemsspec/tests/test_interfacedoc.py
===================================================================
--- rtemsspec/tests/test_interfacedoc.py	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ rtemsspec/tests/test_interfacedoc.py	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -445,5 +445,5 @@
 :c:type:`Integer`, :c:type:`Enum`, :c:macro:`DEFINE`,
 :ref:`InterfaceVERYLONGMACRO`, Variable, :c:macro:`ENUMERATOR_0`,
-:c:type:`Struct`, :ref:`a`, and interface.
+:c:type:`Struct`, :ref:`a`, and interface. Second parameter is ``Param1``.
 """
         assert content == src.read()
Index: spec/rtems/barrier/if/ident.yml
===================================================================
--- spec/rtems/barrier/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/barrier/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -16,5 +16,5 @@
 description: |
   This directive obtains the barrier identifier associated with the barrier
-  name specified in ``${.:/params[0]/name}``.
+  name specified in ${.:/params[0]/name}.
 enabled-by: true
 index-entries: []
Index: spec/rtems/dpmem/if/ident.yml
===================================================================
--- spec/rtems/dpmem/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/dpmem/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -16,5 +16,5 @@
 description: |
   This directive obtains the port identifier associated with the port name
-  specified in ``${.:/params[0]/name}``.
+  specified in ${.:/params[0]/name}.
 enabled-by: true
 index-entries: []
Index: spec/rtems/event/if/receive.yml
===================================================================
--- spec/rtems/event/if/receive.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/event/if/receive.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -24,11 +24,11 @@
 
   To **get the pending events** use the constant ${pending-events:/name} for
-  the ``${.:/params[0]/name}`` parameter.  The pending events are returned to
+  the ${.:/params[0]/name} parameter.  The pending events are returned to
   the calling task but the event set of the task is left unaltered.  The
-  ``${.:/params[1]/name}`` and ``${.:params[2]/name}`` parameters are ignored
+  ${.:/params[1]/name} and ${.:/params[2]/name} parameters are ignored
   in this case.  The directive returns immediately and does not block.
 
   To **receive events** you have to define an input event condition and some
-  options.  The **option set** specified in ``${.:/params[1]/name}`` defines
+  options.  The **option set** specified in ${.:/params[1]/name} defines
 
   * if the task will wait or poll for the events, and
@@ -42,5 +42,5 @@
 
   * **Waiting** for events is the default and can be emphasized through the use
-    of the ${../../option/if/wait:/name} option.  The ``${.:/params[2]/name}``
+    of the ${../../option/if/wait:/name} option.  The ${.:/params[2]/name}
     parameter defines how long the task is willing to wait.  Use
     ${../../type/if/no-timeout:/name} to wait potentially forever, otherwise
@@ -49,8 +49,8 @@
   * Not waiting for events (**polling**) is selected by the
     ${../../option/if/no-wait:/name} option.  If this option is defined, then
-    the ``${.:/params[2]/name}`` parameter is ignored.
+    the ${.:/params[2]/name} parameter is ignored.
 
   The task can receive **all** or **any** of the input events specified in
-  ``${.:/params[0]/name}``.
+  ${.:/params[0]/name}.
 
   * Receiving **all** input events is the default and can be emphasized through
@@ -72,16 +72,16 @@
   interrupt context is undefined behaviour.
 
-  This directive only affects the events specified in ``${.:/params[0]/name}``.
+  This directive only affects the events specified in ${.:/params[0]/name}.
   Any pending events that do not correspond to any of the events specified in
-  ``${.:/params[0]/name}`` will be left pending.
+  ${.:/params[0]/name} will be left pending.
 
   To receive all events use the event set constant ${all-events:/name} for the
-  ``${.:/params[0]/name}`` parameter.  Do not confuse this event set constant
+  ${.:/params[0]/name} parameter.  Do not confuse this event set constant
   with the directive option ${../../option/if/event-all:/name}.
 
   A task can **receive all of the pending events** by calling the directive
-  with a value of ${all-events:/name} for the ``${.:/params[0]/name}``
+  with a value of ${all-events:/name} for the ${.:/params[0]/name}
   parameter and the bitwise or of the ${../../option/if/no-wait:/name} and
-  ${../../option/if/event-any:/name} options for the ``${.:/params[1]/name}``
+  ${../../option/if/event-any:/name} options for the ${.:/params[1]/name}
   parameter.  The pending events are returned and the event set of the task is
   cleared.  If no events are pending then the
@@ -114,5 +114,5 @@
     value: ${../../status/if/successful:/name}
   - description: |
-      The ``${.:/params[3]/name}`` parameter was ${/c/if/null:/name}.
+      The ${.:/params[3]/name} parameter was ${/c/if/null:/name}.
     value: ${../../status/if/invalid-address:/name}
   - description: |
Index: spec/rtems/event/if/send.yml
===================================================================
--- spec/rtems/event/if/send.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/event/if/send.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -15,6 +15,6 @@
   variants: []
 description: |
-  This directive sends the event set, ``${.:/params[1]/name}``, to the target
-  task identified by ``${.:/params[0]/name}``.  Based upon the state of the
+  This directive sends the event set, ${.:/params[1]/name}, to the target
+  task identified by ${.:/params[0]/name}.  Based upon the state of the
   target task, one of the following situations applies:
 
@@ -41,5 +41,5 @@
   Events can be sent by tasks or an ${/glossary/isr:/term}.
 
-  Specifying ${../../task/if/self-define:/name} for ``${.:/params[0]/name}`` results
+  Specifying ${../../task/if/self-define:/name} for ${.:/params[0]/name} results
   in the event set being sent to the calling task.
 
Index: spec/rtems/message/if/ident.yml
===================================================================
--- spec/rtems/message/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/message/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -17,7 +17,7 @@
 description: |
   This directive obtains the message queue identifier associated with the
-  message queue name specified in ``${.:/params[0]/name}``.
+  message queue name specified in ${.:/params[0]/name}.
 
-  The node to search is specified in ``${.:/params[1]/name}``.  It shall be
+  The node to search is specified in ${.:/params[1]/name}.  It shall be
 
   * a valid node number,
Index: spec/rtems/object/if/build-name.yml
===================================================================
--- spec/rtems/object/if/build-name.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/object/if/build-name.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -11,6 +11,6 @@
 description: |
   This directive takes the four characters provided as arguments and composes a
-  32-bit object name with ``${.:params[0]/name}`` in the most significant
-  8-bits and ``${.:params[3]/name}`` in the least significant 8-bits.
+  32-bit object name with ${.:/params[0]/name} in the most significant
+  8-bits and ${.:/params[3]/name} in the least significant 8-bits.
 enabled-by: true
 index-entries: []
Index: spec/rtems/object/if/get-name.yml
===================================================================
--- spec/rtems/object/if/get-name.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/object/if/get-name.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -49,5 +49,5 @@
 return:
   return: |
-    Returns the ``${.:/params[2]/name}`` parameter value, if there is an object
+    Returns the ${.:/params[2]/name} parameter value, if there is an object
     name associated with the object identifier.
   return-values:
Index: spec/rtems/object/if/id-get-api.yml
===================================================================
--- spec/rtems/object/if/id-get-api.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/object/if/id-get-api.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -22,5 +22,5 @@
 
   This directive does not validate the object identifier provided in
-  ``${.:/params[0]/name}``.
+  ${.:/params[0]/name}.
 
   A body is also provided.
Index: spec/rtems/object/if/id-get-class.yml
===================================================================
--- spec/rtems/object/if/id-get-class.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/object/if/id-get-class.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -22,5 +22,5 @@
 
   This directive does not validate the object identifier provided in
-  ``${.:/params[0]/name}``.
+  ${.:/params[0]/name}.
 
   A body is also provided.
Index: spec/rtems/object/if/id-get-index.yml
===================================================================
--- spec/rtems/object/if/id-get-index.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/object/if/id-get-index.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -22,5 +22,5 @@
 
   This directive does not validate the object identifier provided in
-  ``${.:/params[0]/name}``.
+  ${.:/params[0]/name}.
 
   A body is also provided.
Index: spec/rtems/object/if/id-get-node.yml
===================================================================
--- spec/rtems/object/if/id-get-node.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/object/if/id-get-node.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -22,5 +22,5 @@
 
   This directive does not validate the object identifier provided in
-  ``${.:/params[0]/name}``.
+  ${.:/params[0]/name}.
 
   A body is also provided.
Index: spec/rtems/object/if/set-name.yml
===================================================================
--- spec/rtems/object/if/set-name.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/object/if/set-name.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -32,12 +32,12 @@
   naming scheme per their API.
 
-  If the object specified by ``${.:/params[0]/name}`` is of a class that has a
+  If the object specified by ${.:/params[0]/name} is of a class that has a
   string name, this directive will free the existing name to the RTEMS Workspace
   and allocate enough memory from the RTEMS Workspace to make a copy of the
-  string located at ``${.:/params[1]/name}``.
+  string located at ${.:/params[1]/name}.
 
-  If the object specified by ``${.:/params[0]/name}`` is of a class that has a
+  If the object specified by ${.:/params[0]/name} is of a class that has a
   32-bit integer style name, then the first four characters in
-  ``${.:/params[1]/name}`` will be used to construct the name.
+  ${.:/params[1]/name} will be used to construct the name.
 params:
 - description: |
Index: spec/rtems/part/if/create.yml
===================================================================
--- spec/rtems/part/if/create.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/part/if/create.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -20,11 +20,11 @@
 description: |
   This directive creates a partition of fixed size buffers from a physically
-  contiguous memory space which starts at ``${.:/params[1]/name}`` and is
-  ``${.:/params[2]/name}`` bytes in size.  Each allocated buffer is to be of
-  ``${.:/params[3]/name}`` in bytes.  The assigned partition identifier is
-  returned in ``${.:/params[5]/name}``.  This partition identifier is used to
+  contiguous memory space which starts at ${.:/params[1]/name} and is
+  ${.:/params[2]/name} bytes in size.  Each allocated buffer is to be of
+  ${.:/params[3]/name} in bytes.  The assigned partition identifier is
+  returned in ${.:/params[5]/name}.  This partition identifier is used to
   access the partition with other partition related directives.
 
-  The **attribute set** specified in ``${.:/params[4]/name}`` is built through
+  The **attribute set** specified in ${.:/params[4]/name} is built through
   a *bitwise or* of the attribute constants described below.  Attributes not
   mentioned below are not evaluated by this directive and have no effect.
@@ -55,5 +55,5 @@
   and release of the object allocator mutex.
 
-  The partition buffer area specified by the ``${.:/params[1]/name}`` must be
+  The partition buffer area specified by the ${.:/params[1]/name} must be
   properly aligned.  It must be possible to directly store target architecture
   pointers and also the user data.  For example, if the user data contains some
@@ -64,7 +64,7 @@
   partition buffer type.
 
-  The ``${.:/params[3]/name}`` parameter must be an integral multiple of the
+  The ${.:/params[3]/name} parameter must be an integral multiple of the
   pointer size on the target architecture.  Additionally,
-  ``${.:/params[3]/name}`` must be large enough to hold two pointers on the
+  ${.:/params[3]/name} must be large enough to hold two pointers on the
   target architecture.  This is required for RTEMS to manage the buffers when
   they are free.
@@ -116,26 +116,26 @@
     value: ${../../status/if/invalid-name:/name}
   - description: |
-      The ``${.:/params[5]/name}`` parameter was ${/c/if/null:/name}.
+      The ${.:/params[5]/name} parameter was ${/c/if/null:/name}.
     value: ${../../status/if/invalid-address:/name}
   - description: |
-      The ``${.:/params[2]/name}`` parameter was 0.
+      The ${.:/params[2]/name} parameter was 0.
     value: ${../../status/if/invalid-size:/name}
   - description: |
-      The ``${.:/params[3]/name}`` parameter was 0.
+      The ${.:/params[3]/name} parameter was 0.
     value: ${../../status/if/invalid-size:/name}
   - description: |
-      The ``${.:/params[2]/name}`` parameter was less than the
-      ``${.:/params[3]/name}`` parameter.
+      The ${.:/params[2]/name} parameter was less than the
+      ${.:/params[3]/name} parameter.
     value: ${../../status/if/invalid-size:/name}
   - description: |
-      The ``${.:/params[3]/name}`` parameter was not an integral multiple of
+      The ${.:/params[3]/name} parameter was not an integral multiple of
       the pointer size.
     value: ${../../status/if/invalid-size:/name}
   - description: |
-      The ``${.:/params[3]/name}`` parameter was less than two times the
+      The ${.:/params[3]/name} parameter was less than two times the
       pointer size.
     value: ${../../status/if/invalid-size:/name}
   - description: |
-      The ``${.:/params[1]/name}`` parameter was not on a pointer size
+      The ${.:/params[1]/name} parameter was not on a pointer size
       boundary.
     value: ${../../status/if/invalid-address:/name}
Index: spec/rtems/part/if/get-buffer.yml
===================================================================
--- spec/rtems/part/if/get-buffer.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/part/if/get-buffer.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -16,6 +16,6 @@
 description: |
   This directive allows a buffer to be obtained from the partition specified in
-  the ``${.:/params[0]/name}`` parameter.  The address of the allocated buffer is
-  returned through the ``${.:/params[1]/name}`` parameter.
+  the ${.:/params[0]/name} parameter.  The address of the allocated buffer is
+  returned through the ${.:/params[1]/name} parameter.
 enabled-by: true
 index-entries:
@@ -59,5 +59,5 @@
     value: ${../../status/if/invalid-id:/name}
   - description: |
-      The ``${.:/params[1]/name}`` parameter was ${/c/if/null:/name}.
+      The ${.:/params[1]/name} parameter was ${/c/if/null:/name}.
     value: ${../../status/if/invalid-address:/name}
   - description: |
Index: spec/rtems/part/if/ident.yml
===================================================================
--- spec/rtems/part/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/part/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -17,7 +17,7 @@
 description: |
   This directive obtains a partition identifier associated with the partition
-  name specified in ``${.:/params[0]/name}``.
+  name specified in ${.:/params[0]/name}.
 
-  The node to search is specified in ``${.:/params[1]/name}``.  It shall be
+  The node to search is specified in ${.:/params[1]/name}.  It shall be
 
   * a valid node number,
Index: spec/rtems/part/if/return-buffer.yml
===================================================================
--- spec/rtems/part/if/return-buffer.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/part/if/return-buffer.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -15,6 +15,6 @@
   variants: []
 description: |
-  This directive returns the buffer specified by ``${.:/params[1]/name}`` to the
-  partition specified by ``${.:/params[0]/name}``.
+  This directive returns the buffer specified by ${.:/params[1]/name} to the
+  partition specified by ${.:/params[0]/name}.
 enabled-by: true
 index-entries:
@@ -53,5 +53,5 @@
     value: ${../../status/if/invalid-id:/name}
   - description: |
-      The buffer referenced by ``${.:/params[1]/name}`` was not in the
+      The buffer referenced by ${.:/params[1]/name} was not in the
       partition.
     value: ${../../status/if/invalid-address:/name}
Index: spec/rtems/ratemon/if/ident.yml
===================================================================
--- spec/rtems/ratemon/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/ratemon/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -16,5 +16,5 @@
 description: |
   This directive obtains the period identifier associated with the period name
-  specified in ``${.:/params[0]/name}``.
+  specified in ${.:/params[0]/name}.
 enabled-by: true
 index-entries: []
Index: spec/rtems/region/if/ident.yml
===================================================================
--- spec/rtems/region/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/region/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -16,5 +16,5 @@
 description: |
   This directive obtains the region identifier associated with the region name
-  specified in ``${.:/params[0]/name}``.
+  specified in ${.:/params[0]/name}.
 enabled-by: true
 index-entries: []
Index: spec/rtems/sem/if/ident.yml
===================================================================
--- spec/rtems/sem/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/sem/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -17,7 +17,7 @@
 description: |
   This directive obtains the semaphore identifier associated with the semaphore
-  name specified in ``${.:/params[0]/name}``.
+  name specified in ${.:/params[0]/name}.
 
-  The node to search is specified in ``${.:/params[1]/name}``.  It shall be
+  The node to search is specified in ${.:/params[1]/name}.  It shall be
 
   * a valid node number,
Index: spec/rtems/task/if/ident.yml
===================================================================
--- spec/rtems/task/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/task/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -17,10 +17,10 @@
 description: |
   This directive obtains the task identifier associated with the task name
-  specified in ``${.:/params[0]/name}``.
+  specified in ${.:/params[0]/name}.
 
   A task may obtain its own identifier by specifying ${self-define:/name} for
   the name.
 
-  The node to search is specified in ``${.:/params[1]/name}``.  It shall be
+  The node to search is specified in ${.:/params[1]/name}.  It shall be
 
   * a valid node number,
Index: spec/rtems/timer/if/ident.yml
===================================================================
--- spec/rtems/timer/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/timer/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -16,5 +16,5 @@
 description: |
   This directive obtains the timer identifier associated with the timer name
-  specified in ``${.:/params[0]/name}``.
+  specified in ${.:/params[0]/name}.
 enabled-by: true
 index-entries: []
Index: spec/rtems/userext/if/ident.yml
===================================================================
--- spec/rtems/userext/if/ident.yml	(revision e165b7d684ec73f1010be3c53d73dbf990f9ac4e)
+++ spec/rtems/userext/if/ident.yml	(revision 0500b9aeb53a7b72f12419de62fd5d893ab7494d)
@@ -16,5 +16,5 @@
 description: |
   This directive obtains the extension set identifier associated with the
-  extension set name specified in ``${.:/params[0]/name}``.
+  extension set name specified in ${.:/params[0]/name}.
 enabled-by: true
 index-entries: []