Index: cpukit/rtems/inline/rtems/rtems/asr.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/asr.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/asr.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -29,5 +29,5 @@
  */
 
-STATIC INLINE void _ASR_Initialize (
+RTEMS_INLINE_ROUTINE void _ASR_Initialize (
   ASR_Information *information
 )
@@ -52,5 +52,5 @@
  */
 
-STATIC INLINE void _ASR_Swap_signals (
+RTEMS_INLINE_ROUTINE void _ASR_Swap_signals (
   ASR_Information *information
 )
@@ -76,5 +76,5 @@
  */
 
-STATIC INLINE boolean _ASR_Is_null_handler (
+RTEMS_INLINE_ROUTINE boolean _ASR_Is_null_handler (
   rtems_asr_entry asr_handler
 )
@@ -93,5 +93,5 @@
  */
 
-STATIC INLINE boolean _ASR_Are_signals_pending (
+RTEMS_INLINE_ROUTINE boolean _ASR_Are_signals_pending (
   ASR_Information *information
 )
@@ -112,5 +112,5 @@
  */
 
-STATIC INLINE void _ASR_Post_signals(
+RTEMS_INLINE_ROUTINE void _ASR_Post_signals(
   rtems_signal_set  signals,
   rtems_signal_set *signal_set
Index: cpukit/rtems/inline/rtems/rtems/attr.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/attr.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/attr.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE rtems_attribute _Attributes_Set (
+RTEMS_INLINE_ROUTINE rtems_attribute _Attributes_Set (
    rtems_attribute new_attributes,
    rtems_attribute attribute_set
@@ -46,5 +46,5 @@
  */
 
-STATIC INLINE rtems_attribute _Attributes_Clear (
+RTEMS_INLINE_ROUTINE rtems_attribute _Attributes_Clear (
    rtems_attribute attribute_set,
    rtems_attribute mask
@@ -64,5 +64,5 @@
  */
 
-STATIC INLINE boolean _Attributes_Is_floating_point(
+RTEMS_INLINE_ROUTINE boolean _Attributes_Is_floating_point(
   rtems_attribute attribute_set
 )
@@ -81,5 +81,5 @@
  */
 
-STATIC INLINE boolean _Attributes_Is_global(
+RTEMS_INLINE_ROUTINE boolean _Attributes_Is_global(
   rtems_attribute attribute_set
 )
@@ -98,5 +98,5 @@
  */
 
-STATIC INLINE boolean _Attributes_Is_priority(
+RTEMS_INLINE_ROUTINE boolean _Attributes_Is_priority(
   rtems_attribute attribute_set
 )
@@ -115,5 +115,5 @@
  */
 
-STATIC INLINE boolean _Attributes_Is_binary_semaphore(
+RTEMS_INLINE_ROUTINE boolean _Attributes_Is_binary_semaphore(
   rtems_attribute attribute_set
 )
@@ -132,5 +132,5 @@
  */
 
-STATIC INLINE boolean _Attributes_Is_inherit_priority(
+RTEMS_INLINE_ROUTINE boolean _Attributes_Is_inherit_priority(
   rtems_attribute attribute_set
 )
@@ -149,5 +149,5 @@
  */
  
-STATIC INLINE boolean _Attributes_Is_priority_ceiling(
+RTEMS_INLINE_ROUTINE boolean _Attributes_Is_priority_ceiling(
   rtems_attribute attribute_set
 )
Index: cpukit/rtems/inline/rtems/rtems/dpmem.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/dpmem.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/dpmem.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -29,5 +29,5 @@
  */
 
-STATIC INLINE Dual_ported_memory_Control
+RTEMS_INLINE_ROUTINE Dual_ported_memory_Control
    *_Dual_ported_memory_Allocate ( void )
 {
@@ -46,5 +46,5 @@
  */
 
-STATIC INLINE void _Dual_ported_memory_Free (
+RTEMS_INLINE_ROUTINE void _Dual_ported_memory_Free (
    Dual_ported_memory_Control *the_port
 )
@@ -67,5 +67,5 @@
  */
 
-STATIC INLINE Dual_ported_memory_Control *_Dual_ported_memory_Get (
+RTEMS_INLINE_ROUTINE Dual_ported_memory_Control *_Dual_ported_memory_Get (
   Objects_Id         id,
   Objects_Locations *location
@@ -85,5 +85,5 @@
  */
 
-STATIC INLINE boolean _Dual_ported_memory_Is_null(
+RTEMS_INLINE_ROUTINE boolean _Dual_ported_memory_Is_null(
   Dual_ported_memory_Control *the_port
 )
Index: cpukit/rtems/inline/rtems/rtems/eventset.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/eventset.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/eventset.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -27,5 +27,5 @@
  */
 
-STATIC INLINE boolean _Event_sets_Is_empty(
+RTEMS_INLINE_ROUTINE boolean _Event_sets_Is_empty(
   rtems_event_set the_event_set
 )
@@ -44,5 +44,5 @@
  */
 
-STATIC INLINE void _Event_sets_Post(
+RTEMS_INLINE_ROUTINE void _Event_sets_Post(
   rtems_event_set  the_new_events,
   rtems_event_set *the_event_set
@@ -62,5 +62,5 @@
  */
 
-STATIC INLINE rtems_event_set _Event_sets_Get(
+RTEMS_INLINE_ROUTINE rtems_event_set _Event_sets_Get(
   rtems_event_set the_event_set,
   rtems_event_set the_event_condition
@@ -80,5 +80,5 @@
  */
 
-STATIC INLINE rtems_event_set _Event_sets_Clear(
+RTEMS_INLINE_ROUTINE rtems_event_set _Event_sets_Clear(
  rtems_event_set the_event_set,
  rtems_event_set the_mask
Index: cpukit/rtems/inline/rtems/rtems/message.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/message.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/message.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -30,5 +30,5 @@
  */
 
-STATIC INLINE boolean _Message_queue_Is_null (
+RTEMS_INLINE_ROUTINE boolean _Message_queue_Is_null (
   Message_queue_Control *the_message_queue
 )
@@ -48,5 +48,5 @@
  */
 
-STATIC INLINE void _Message_queue_Free (
+RTEMS_INLINE_ROUTINE void _Message_queue_Free (
   Message_queue_Control *the_message_queue
 )
@@ -71,5 +71,5 @@
  */
 
-STATIC INLINE Message_queue_Control *_Message_queue_Get (
+RTEMS_INLINE_ROUTINE Message_queue_Control *_Message_queue_Get (
   Objects_Id         id,
   Objects_Locations *location
Index: cpukit/rtems/inline/rtems/rtems/modes.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/modes.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/modes.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE boolean _Modes_Mask_changed (
+RTEMS_INLINE_ROUTINE boolean _Modes_Mask_changed (
   Modes_Control mode_set,
   Modes_Control masks
@@ -46,5 +46,5 @@
  */
 
-STATIC INLINE boolean _Modes_Is_asr_disabled (
+RTEMS_INLINE_ROUTINE boolean _Modes_Is_asr_disabled (
   Modes_Control mode_set
 )
@@ -63,5 +63,5 @@
  */
 
-STATIC INLINE boolean _Modes_Is_preempt (
+RTEMS_INLINE_ROUTINE boolean _Modes_Is_preempt (
   Modes_Control mode_set
 )
@@ -80,5 +80,5 @@
  */
 
-STATIC INLINE boolean _Modes_Is_timeslice (
+RTEMS_INLINE_ROUTINE boolean _Modes_Is_timeslice (
   Modes_Control mode_set
 )
@@ -96,5 +96,5 @@
  */
 
-STATIC INLINE ISR_Level _Modes_Get_interrupt_level (
+RTEMS_INLINE_ROUTINE ISR_Level _Modes_Get_interrupt_level (
   Modes_Control mode_set
 )
@@ -113,5 +113,5 @@
  */
 
-STATIC INLINE void _Modes_Set_interrupt_level (
+RTEMS_INLINE_ROUTINE void _Modes_Set_interrupt_level (
   Modes_Control mode_set
 )
@@ -132,5 +132,5 @@
  */
 
-STATIC INLINE void _Modes_Change (
+RTEMS_INLINE_ROUTINE void _Modes_Change (
   Modes_Control  old_mode_set,
   Modes_Control  new_mode_set,
Index: cpukit/rtems/inline/rtems/rtems/options.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/options.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/options.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE boolean _Options_Is_no_wait (
+RTEMS_INLINE_ROUTINE boolean _Options_Is_no_wait (
   rtems_option option_set
 )
@@ -45,5 +45,5 @@
  */
 
-STATIC INLINE boolean _Options_Is_any (
+RTEMS_INLINE_ROUTINE boolean _Options_Is_any (
   rtems_option option_set
 )
Index: cpukit/rtems/inline/rtems/rtems/part.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/part.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/part.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -29,5 +29,5 @@
  */
 
-STATIC INLINE void *_Partition_Allocate_buffer (
+RTEMS_INLINE_ROUTINE void *_Partition_Allocate_buffer (
    Partition_Control *the_partition
 )
@@ -45,5 +45,5 @@
  */
 
-STATIC INLINE void _Partition_Free_buffer (
+RTEMS_INLINE_ROUTINE void _Partition_Free_buffer (
   Partition_Control *the_partition,
   Chain_Node        *the_buffer
@@ -63,5 +63,5 @@
  */
 
-STATIC INLINE boolean _Partition_Is_buffer_on_boundary (
+RTEMS_INLINE_ROUTINE boolean _Partition_Is_buffer_on_boundary (
   void              *the_buffer,
   Partition_Control *the_partition
@@ -88,5 +88,5 @@
  */
 
-STATIC INLINE boolean _Partition_Is_buffer_valid (
+RTEMS_INLINE_ROUTINE boolean _Partition_Is_buffer_valid (
    Chain_Node        *the_buffer,
    Partition_Control *the_partition
@@ -116,5 +116,5 @@
  */
 
-STATIC INLINE boolean _Partition_Is_buffer_size_aligned (
+RTEMS_INLINE_ROUTINE boolean _Partition_Is_buffer_size_aligned (
    unsigned32 buffer_size
 )
@@ -133,5 +133,5 @@
  */
 
-STATIC INLINE Partition_Control *_Partition_Allocate ( void )
+RTEMS_INLINE_ROUTINE Partition_Control *_Partition_Allocate ( void )
 {
   return (Partition_Control *) _Objects_Allocate( &_Partition_Information );
@@ -148,5 +148,5 @@
  */
 
-STATIC INLINE void _Partition_Free (
+RTEMS_INLINE_ROUTINE void _Partition_Free (
    Partition_Control *the_partition
 )
@@ -170,5 +170,5 @@
  */
 
-STATIC INLINE Partition_Control *_Partition_Get (
+RTEMS_INLINE_ROUTINE Partition_Control *_Partition_Get (
   Objects_Id         id,
   Objects_Locations *location
@@ -189,5 +189,5 @@
  */
 
-STATIC INLINE boolean _Partition_Is_null (
+RTEMS_INLINE_ROUTINE boolean _Partition_Is_null (
    Partition_Control *the_partition
 )
Index: cpukit/rtems/inline/rtems/rtems/ratemon.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/ratemon.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/ratemon.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE Rate_monotonic_Control *_Rate_monotonic_Allocate( void )
+RTEMS_INLINE_ROUTINE Rate_monotonic_Control *_Rate_monotonic_Allocate( void )
 {
   return (Rate_monotonic_Control *)
@@ -44,5 +44,5 @@
  */
 
-STATIC INLINE void _Rate_monotonic_Free (
+RTEMS_INLINE_ROUTINE void _Rate_monotonic_Free (
   Rate_monotonic_Control *the_period
 )
@@ -64,5 +64,5 @@
  */
 
-STATIC INLINE Rate_monotonic_Control *_Rate_monotonic_Get (
+RTEMS_INLINE_ROUTINE Rate_monotonic_Control *_Rate_monotonic_Get (
   Objects_Id         id,
   Objects_Locations *location
@@ -83,5 +83,5 @@
  */
 
-STATIC INLINE boolean _Rate_monotonic_Is_active (
+RTEMS_INLINE_ROUTINE boolean _Rate_monotonic_Is_active (
   Rate_monotonic_Control *the_period
 )
@@ -100,5 +100,5 @@
  */
 
-STATIC INLINE boolean _Rate_monotonic_Is_inactive (
+RTEMS_INLINE_ROUTINE boolean _Rate_monotonic_Is_inactive (
   Rate_monotonic_Control *the_period
 )
@@ -117,5 +117,5 @@
  */
 
-STATIC INLINE boolean _Rate_monotonic_Is_expired (
+RTEMS_INLINE_ROUTINE boolean _Rate_monotonic_Is_expired (
   Rate_monotonic_Control *the_period
 )
@@ -133,5 +133,5 @@
  */
 
-STATIC INLINE boolean _Rate_monotonic_Is_null (
+RTEMS_INLINE_ROUTINE boolean _Rate_monotonic_Is_null (
   Rate_monotonic_Control *the_period
 )
Index: cpukit/rtems/inline/rtems/rtems/region.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/region.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/region.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE Region_Control *_Region_Allocate( void )
+RTEMS_INLINE_ROUTINE Region_Control *_Region_Allocate( void )
 {
   return (Region_Control *) _Objects_Allocate( &_Region_Information );
@@ -43,5 +43,5 @@
  */
 
-STATIC INLINE void _Region_Free (
+RTEMS_INLINE_ROUTINE void _Region_Free (
   Region_Control *the_region
 )
@@ -63,5 +63,5 @@
  */
 
-STATIC INLINE Region_Control *_Region_Get (
+RTEMS_INLINE_ROUTINE Region_Control *_Region_Get (
   Objects_Id         id,
   Objects_Locations *location
@@ -83,5 +83,5 @@
  */
 
-STATIC INLINE void *_Region_Allocate_segment (
+RTEMS_INLINE_ROUTINE void *_Region_Allocate_segment (
   Region_Control *the_region,
   unsigned32      size
@@ -100,5 +100,5 @@
  */
 
-STATIC INLINE boolean _Region_Free_segment (
+RTEMS_INLINE_ROUTINE boolean _Region_Free_segment (
   Region_Control *the_region,
   void           *the_segment
@@ -117,5 +117,5 @@
  */
 
-STATIC INLINE boolean _Region_Is_null (
+RTEMS_INLINE_ROUTINE boolean _Region_Is_null (
   Region_Control *the_region
 )
Index: cpukit/rtems/inline/rtems/rtems/sem.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/sem.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/sem.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE Semaphore_Control *_Semaphore_Allocate( void )
+RTEMS_INLINE_ROUTINE Semaphore_Control *_Semaphore_Allocate( void )
 {
   return (Semaphore_Control *) _Objects_Allocate( &_Semaphore_Information );
@@ -43,5 +43,5 @@
  */
 
-STATIC INLINE void _Semaphore_Free (
+RTEMS_INLINE_ROUTINE void _Semaphore_Free (
   Semaphore_Control *the_semaphore
 )
@@ -65,5 +65,5 @@
  */
 
-STATIC INLINE Semaphore_Control *_Semaphore_Get (
+RTEMS_INLINE_ROUTINE Semaphore_Control *_Semaphore_Get (
   Objects_Id         id,
   Objects_Locations *location
@@ -83,5 +83,5 @@
  */
 
-STATIC INLINE boolean _Semaphore_Is_null (
+RTEMS_INLINE_ROUTINE boolean _Semaphore_Is_null (
   Semaphore_Control *the_semaphore
 )
Index: cpukit/rtems/inline/rtems/rtems/status.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/status.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/status.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE boolean rtems_is_status_successful(
+RTEMS_INLINE_ROUTINE boolean rtems_is_status_successful(
   rtems_status_code code
 )
@@ -45,5 +45,5 @@
  */
 
-STATIC INLINE boolean rtems_are_statuses_equal(
+RTEMS_INLINE_ROUTINE boolean rtems_are_statuses_equal(
   rtems_status_code code1,
   rtems_status_code code2
Index: cpukit/rtems/inline/rtems/rtems/support.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/support.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/support.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -27,5 +27,5 @@
  */
 
-STATIC INLINE rtems_boolean rtems_is_name_valid (
+RTEMS_INLINE_ROUTINE rtems_boolean rtems_is_name_valid (
   rtems_name name
 )
@@ -44,5 +44,5 @@
  */
 
-STATIC INLINE void rtems_name_to_characters(
+RTEMS_INLINE_ROUTINE void rtems_name_to_characters(
   rtems_name    name,
   char         *c1,
Index: cpukit/rtems/inline/rtems/rtems/tasks.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/tasks.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/tasks.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE Thread_Control *_RTEMS_tasks_Allocate( void )
+RTEMS_INLINE_ROUTINE Thread_Control *_RTEMS_tasks_Allocate( void )
 {
   return (Thread_Control *) _Objects_Allocate( &_RTEMS_tasks_Information );
@@ -43,5 +43,5 @@
  */
 
-STATIC INLINE void _RTEMS_tasks_Free (
+RTEMS_INLINE_ROUTINE void _RTEMS_tasks_Free (
   Thread_Control *the_task
 )
@@ -62,5 +62,5 @@
  */
  
-STATIC INLINE Priority_Control _RTEMS_tasks_Priority_to_Core(
+RTEMS_INLINE_ROUTINE Priority_Control _RTEMS_tasks_Priority_to_Core(
   rtems_task_priority   priority
 )
@@ -79,5 +79,5 @@
  */
  
-STATIC INLINE boolean _RTEMS_tasks_Priority_is_valid (
+RTEMS_INLINE_ROUTINE boolean _RTEMS_tasks_Priority_is_valid (
   rtems_task_priority the_priority
 )
Index: cpukit/rtems/inline/rtems/rtems/timer.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/timer.inl	(revision c26b62f992798a2d2f4e7f632b17861fe2e95669)
+++ cpukit/rtems/inline/rtems/rtems/timer.inl	(revision 503dc05890731954e899d63a8baecabac573e22b)
@@ -28,5 +28,5 @@
  */
 
-STATIC INLINE Timer_Control *_Timer_Allocate( void )
+RTEMS_INLINE_ROUTINE Timer_Control *_Timer_Allocate( void )
 {
   return (Timer_Control *) _Objects_Allocate( &_Timer_Information );
@@ -43,5 +43,5 @@
  */
 
-STATIC INLINE void _Timer_Free (
+RTEMS_INLINE_ROUTINE void _Timer_Free (
   Timer_Control *the_timer
 )
@@ -63,5 +63,5 @@
  */
 
-STATIC INLINE Timer_Control *_Timer_Get (
+RTEMS_INLINE_ROUTINE Timer_Control *_Timer_Get (
   Objects_Id         id,
   Objects_Locations *location
@@ -82,5 +82,5 @@
  */
 
-STATIC INLINE boolean _Timer_Is_interval_class (
+RTEMS_INLINE_ROUTINE boolean _Timer_Is_interval_class (
   Timer_Classes the_class
 )
@@ -99,5 +99,5 @@
  */
 
-STATIC INLINE boolean _Timer_Is_timer_of_day_class (
+RTEMS_INLINE_ROUTINE boolean _Timer_Is_timer_of_day_class (
   Timer_Classes the_class
 )
@@ -116,5 +116,5 @@
  */
 
-STATIC INLINE boolean _Timer_Is_dormant_class (
+RTEMS_INLINE_ROUTINE boolean _Timer_Is_dormant_class (
   Timer_Classes the_class
 )
@@ -132,5 +132,5 @@
  */
 
-STATIC INLINE boolean _Timer_Is_null (
+RTEMS_INLINE_ROUTINE boolean _Timer_Is_null (
   Timer_Control *the_timer
 )