Index: cpukit/libnetworking/net/if.h
===================================================================
--- cpukit/libnetworking/net/if.h	(revision 30ceeaa30c254f47aba02a100ea0c9c3e8b97592)
+++ cpukit/libnetworking/net/if.h	(revision 508cd3a1b767dff454ce31dd252c873b79c1452e)
@@ -284,8 +284,8 @@
 #include <net/if_var.h>
 
-void	ifafree __P((struct ifaddr *));
-
-int	looutput __P((struct ifnet *,
-	   struct mbuf *, struct sockaddr *, struct rtentry *));
+void	ifafree(struct ifaddr *);
+
+int	looutput(struct ifnet *,
+	   struct mbuf *, struct sockaddr *, struct rtentry *);
 #endif
 
Index: cpukit/libnetworking/net/if_ppp.h
===================================================================
--- cpukit/libnetworking/net/if_ppp.h	(revision 30ceeaa30c254f47aba02a100ea0c9c3e8b97592)
+++ cpukit/libnetworking/net/if_ppp.h	(revision 508cd3a1b767dff454ce31dd252c873b79c1452e)
@@ -129,6 +129,6 @@
 
 #if (defined(_KERNEL) || defined(_KERNEL)) && !defined(NeXT)
-void pppattach __P((void));
-void pppintr __P((void));
+void pppattach(void);
+void pppintr(void);
 #endif
 #endif /* _IF_PPP_H_ */
Index: cpukit/libnetworking/sys/signalvar.h
===================================================================
--- cpukit/libnetworking/sys/signalvar.h	(revision 30ceeaa30c254f47aba02a100ea0c9c3e8b97592)
+++ cpukit/libnetworking/sys/signalvar.h	(revision 508cd3a1b767dff454ce31dd252c873b79c1452e)
@@ -152,20 +152,20 @@
  * Machine-independent functions:
  */
-void	execsigs __P((struct proc *p));
-void	gsignal __P((int pgid, int sig));
-int	issignal __P((struct proc *p));
-void	killproc __P((struct proc *p, char *why));
-void	pgsignal __P((struct pgrp *pgrp, int sig, int checkctty));
-void	postsig __P((int sig));
-void	psignal __P((struct proc *p, int sig));
-void	setsigvec __P((struct proc *p, int signum, struct sigaction *sa));
-void	sigexit __P((struct proc *p, int signum));
-void	siginit __P((struct proc *p));
-void	trapsignal __P((struct proc *p, int sig, u_long code));
+void	execsigs(struct proc *p);
+void	gsignal(int pgid, int sig);
+int	issignal(struct proc *p);
+void	killproc(struct proc *p, char *why);
+void	pgsignal(struct pgrp *pgrp, int sig, int checkctty);
+void	postsig(int sig);
+void	psignal(struct proc *p, int sig);
+void	setsigvec(struct proc *p, int signum, struct sigaction *sa);
+void	sigexit(struct proc *p, int signum);
+void	siginit(struct proc *p);
+void	trapsignal(struct proc *p, int sig, u_long code);
 
 /*
  * Machine-dependent functions:
  */
-void	sendsig __P((sig_t action, int sig, int returnmask, u_long code));
+void	sendsig(sig_t action, int sig, int returnmask, u_long code);
 #endif	/* _KERNEL */
 #endif	/* !_SYS_SIGNALVAR_H_ */
Index: cpukit/libnetworking/sys/systm.h
===================================================================
--- cpukit/libnetworking/sys/systm.h	(revision 30ceeaa30c254f47aba02a100ea0c9c3e8b97592)
+++ cpukit/libnetworking/sys/systm.h	(revision 508cd3a1b767dff454ce31dd252c873b79c1452e)
@@ -80,58 +80,58 @@
  * General function declarations.
  */
-void	Debugger __P((const char *msg));
-int	nullop __P((void));
-int	eopnotsupp __P((void));
-int	einval __P((void));
-int	seltrue __P((dev_t dev, int which, struct proc *p));
-int	ureadc __P((int, struct uio *));
-void	*hashinit __P((int count, int type, u_long *hashmask));
-void	*phashinit __P((int count, int type, u_long *nentries));
+void	Debugger(const char *msg);
+int	nullop(void);
+int	eopnotsupp(void);
+int	einval(void);
+int	seltrue(dev_t dev, int which, struct proc *p);
+int	ureadc(int, struct uio *);
+void	*hashinit(int count, int type, u_long *hashmask);
+void	*phashinit(int count, int type, u_long *nentries);
 
-void	panic __P((const char *, ...)) __dead2;
-void	boot __P((int)) __dead2;
-void	cpu_boot __P((int));
-void	tablefull __P((const char *));
-int	addlog __P((const char *, ...));
-int	kvprintf __P((char const *, void (*)(int, void*), void *, int,
-		      _BSD_VA_LIST_));
-void	log __P((int, const char *, ...));
-int	printf __P((const char *, ...));
-int	sprintf __P((char *buf, const char *, ...));
-void	uprintf __P((const char *, ...));
-void	ttyprintf __P((struct tty *, const char *, ...));
+void	panic(const char *, ...)) __dead2;
+void	boot(int)) __dead2;
+void	cpu_boot(int);
+void	tablefull(const char *);
+int	addlog(const char *, ...);
+int	kvprintf(char const *, void (*)(int, void*), void *, int,
+		      _BSD_VA_LIST_);
+void	log(int, const char *, ...);
+int	printf(const char *, ...);
+int	sprintf(char *buf, const char *, ...);
+void	uprintf(const char *, ...);
+void	ttyprintf(struct tty *, const char *, ...);
 
 #define bcopy(f,t,n) memcpy((t),(f),(n))
 #define bzero(p,n) memset((p),(0),(n))
 
-int	copystr __P((const void *kfaddr, void *kdaddr, size_t len,
-		size_t *lencopied));
-int	copyinstr __P((const void *udaddr, void *kaddr, size_t len,
-		size_t *lencopied));
-int	copyin __P((const void *udaddr, void *kaddr, size_t len));
-int	copyout __P((const void *kaddr, void *udaddr, size_t len));
+int	copystr(const void *kfaddr, void *kdaddr, size_t len,
+		size_t *lencopied);
+int	copyinstr(const void *udaddr, void *kaddr, size_t len,
+		size_t *lencopied);
+int	copyin(const void *udaddr, void *kaddr, size_t len);
+int	copyout(const void *kaddr, void *udaddr, size_t len);
 
-int	fubyte __P((const void *base));
-int	fuibyte __P((const void *base));
-int	subyte __P((void *base, int byte));
-int	suibyte __P((void *base, int byte));
-int	fuword __P((const void *base));
-int	suword __P((void *base, int word));
-int	susword __P((void *base, int word));
+int	fubyte(const void *base);
+int	fuibyte(const void *base);
+int	subyte(void *base, int byte);
+int	suibyte(void *base, int byte);
+int	fuword(const void *base);
+int	suword(void *base, int word);
+int	susword(void *base, int word);
 
-int	hzto __P((struct timeval *tv));
-void	realitexpire __P((void *));
+int	hzto(struct timeval *tv);
+void	realitexpire(void *);
 
 struct clockframe;
-void	hardclock __P((struct clockframe *frame));
-void	softclock __P((void));
-void	statclock __P((struct clockframe *frame));
+void	hardclock(struct clockframe *frame);
+void	softclock(void);
+void	statclock(struct clockframe *frame);
 
-void	startprofclock __P((struct proc *));
-void	stopprofclock __P((struct proc *));
-void	setstatclockrate __P((int hzrate));
+void	startprofclock(struct proc *);
+void	stopprofclock(struct proc *);
+void	setstatclockrate(int hzrate);
 
-void	hardupdate __P((long));
-void	hardpps __P((struct timeval *tvp, long usec));
+void	hardupdate(long);
+void	hardpps(struct timeval *tvp, long usec);
 
 #include <sys/libkern.h>
@@ -145,12 +145,12 @@
 
 /* Finalize the world. */
-void	shutdown_nice __P((void));
+void	shutdown_nice(void);
 
 /*
  * Kernel to clock driver interface.
  */
-void	inittodr __P((time_t base));
-void	resettodr __P((void));
-void	startrtclock __P((void));
+void	inittodr(time_t base);
+void	resettodr(void);
+void	startrtclock(void);
 
 /* Timeouts */
@@ -160,5 +160,5 @@
 void timeout(timeout_func_t, void *, int);
 void untimeout(timeout_func_t, void *);
-void	logwakeup __P((void));
+void	logwakeup(void);
 
 /* Various other callout lists that modules might want to know about */
@@ -194,6 +194,6 @@
  * less often.
  */
-int	tsleep __P((void *chan, int pri, char *wmesg, int timo));
-void	wakeup __P((void *chan));
+int	tsleep(void *chan, int pri, char *wmesg, int timo);
+void	wakeup(void *chan);
 
 #endif /* !_SYS_SYSTM_H_ */