Index: bsps/mips/csb350/start/linkcmds
===================================================================
--- bsps/mips/csb350/start/linkcmds	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/csb350/start/linkcmds	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -16,5 +16,4 @@
 RamSize = _sdram_size;
 HeapSize = DEFINED(HeapSize) ? HeapSize : 0x0;
-_StackSize = DEFINED(_StackSize) ? _StackSize : 0x4000;
 
 ENTRY(_start)
@@ -188,8 +187,4 @@
     *(COMMON)
     . = ALIGN (64);
-    _stack_limit = .;
-    . += _StackSize;
-    __stack = .;
-    _stack_init = .;
     _clear_end = .;
     end = .;
Index: bsps/mips/csb350/start/start.S
===================================================================
--- bsps/mips/csb350/start/start.S	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/csb350/start/start.S	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -68,5 +68,5 @@
 	addiu	v0,v0,4			/* executed in delay slot */
 
-	la	t0, _stack_init		/* initialize stack so we */
+	la	t0, _Configuration_Interrupt_stack_area_end /* initialize stack so we */
 	/* We must subtract 24 bytes for the 3 8 byte arguments to main, in
 	   case main wants to write them back to the stack.  The caller is
Index: bsps/mips/hurricane/start/linkcmds
===================================================================
--- bsps/mips/hurricane/start/linkcmds	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/hurricane/start/linkcmds	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -9,5 +9,4 @@
 RamSize = DEFINED(RamSize) ? RamSize : 4M;
 HeapSize = DEFINED(HeapSize) ? HeapSize : 0x0;
-_StackSize = DEFINED(_StackSize) ? _StackSize : 0x1000;
 
 ENTRY(start)
@@ -167,8 +166,4 @@
     *(COMMON)
     . = ALIGN (64);
-    _stack_limit = .;
-    . += _StackSize;
-    __stack = .;
-    _stack_init = .;
      end = .;
     _end = .;
Index: bsps/mips/jmr3904/start/linkcmds
===================================================================
--- bsps/mips/jmr3904/start/linkcmds	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/jmr3904/start/linkcmds	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -9,5 +9,4 @@
 RamSize = DEFINED(RamSize) ? RamSize : 4M;
 HeapSize = DEFINED(HeapSize) ? HeapSize : 0x0;
-_StackSize = DEFINED(_StackSize) ? _StackSize : 0x1000;
 
 ENTRY(_start)
@@ -165,8 +164,4 @@
     *(COMMON)
     . = ALIGN (64);
-    _stack_limit = .;
-    . += _StackSize;
-    __stack = .;
-    _stack_init = .;
     _clear_end = .;
   }
@@ -182,7 +177,4 @@
 
 
-/* Put starting stack in SRAM (8 Kb); this size is the same as the stack from
-      the original script (when everything was in SRAM). */
-   /* __stack = 0x8000A000; */
   /* DWARF debug sections.
      Symbols in the DWARF debugging sections are relative to
Index: bsps/mips/jmr3904/start/start.S
===================================================================
--- bsps/mips/jmr3904/start/start.S	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/jmr3904/start/start.S	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -140,5 +140,5 @@
 	addiu	v0,v0,4				# executed in delay slot
 
-	la	t0, _stack_init			# initialize stack so we
+	la	t0, _Configuration_Interrupt_stack_area_end # initialize stack so we
 	/* We must subtract 24 bytes for the 3 8 byte arguments to main, in
 	   case main wants to write them back to the stack.  The caller is
Index: bsps/mips/malta/start/linkcmds
===================================================================
--- bsps/mips/malta/start/linkcmds	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/malta/start/linkcmds	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -9,5 +9,4 @@
 RamSize = DEFINED(RamSize) ? RamSize : 128M;
 HeapSize = DEFINED(HeapSize) ? HeapSize : 0x0;
-_StackSize = DEFINED(_StackSize) ? _StackSize : 0x2000;
 
 ENTRY(_start)
@@ -166,8 +165,4 @@
     *(COMMON)
     . = ALIGN (64);
-    _stack_limit = .;
-    . += _StackSize;
-    __stack = .;
-    _stack_init = .;
     _clear_end = .;
   }
@@ -183,7 +178,4 @@
 
 
-/* Put starting stack in SRAM (8 Kb); this size is the same as the stack from
-      the original script (when everything was in SRAM). */
-   /* __stack = 0x8000A000; */
   /* DWARF debug sections.
      Symbols in the DWARF debugging sections are relative to
Index: bsps/mips/malta/start/start.S
===================================================================
--- bsps/mips/malta/start/start.S	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/malta/start/start.S	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -167,5 +167,5 @@
 	addiu	v0,v0,4				# executed in delay slot
 
-	la	t0, _stack_init			# initialize stack so we
+	la	t0, _Configuration_Interrupt_stack_area_end # initialize stack so we
 	/* We must subtract 24 bytes for the 3 8 byte arguments to main, in
 	   case main wants to write them back to the stack.  The caller is
Index: bsps/mips/rbtx4925/start/linkcmds
===================================================================
--- bsps/mips/rbtx4925/start/linkcmds	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/rbtx4925/start/linkcmds	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -9,5 +9,4 @@
 RamSize = DEFINED(RamSize) ? RamSize : 4M;
 HeapSize = DEFINED(HeapSize) ? HeapSize : 0x0;
-_StackSize = DEFINED(_StackSize) ? _StackSize : 0x1000;
 
 ENTRY(start)
@@ -167,8 +166,4 @@
     *(COMMON)
     . = ALIGN (64);
-    _stack_limit = .;
-    . += _StackSize;
-    __stack = .;
-    _stack_init = .;
      end = .;
     _end = .;
Index: bsps/mips/rbtx4938/start/linkcmds
===================================================================
--- bsps/mips/rbtx4938/start/linkcmds	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/rbtx4938/start/linkcmds	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -9,5 +9,4 @@
 RamSize = DEFINED(RamSize) ? RamSize : 4M;
 HeapSize = DEFINED(HeapSize) ? HeapSize : 0x0;
-_StackSize = DEFINED(_StackSize) ? _StackSize : 0x1000;
 
 ENTRY(start)
@@ -167,8 +166,4 @@
     *(COMMON)
     . = ALIGN (64);
-    _stack_limit = .;
-    . += _StackSize;
-    __stack = .;
-    _stack_init = .;
      end = .;
     _end = .;
Index: bsps/mips/shared/irq/exception.S
===================================================================
--- bsps/mips/shared/irq/exception.S	(revision 715d6167e07a46f5bc37f42993c209450484bbe8)
+++ bsps/mips/shared/irq/exception.S	(revision 511dc4b2bee78ce0714e83838644429a29d325b1)
@@ -215,8 +215,6 @@
   /*
    *
-   *  #if ( CPU_HAS_SOFTWARE_INTERRUPT_STACK == TRUE )
-   *    if ( _ISR_Nest_level == 0 )
-   *      switch to software interrupt stack
-   *  #endif
+   *  if ( _ISR_Nest_level == 0 )
+   *    switch to software interrupt stack
    */
 
@@ -308,7 +306,5 @@
 
   /*
-   *  #if ( CPU_HAS_SOFTWARE_INTERRUPT_STACK == TRUE )
-   *    restore stack
-   *  #endif
+   *  restore stack
    *
    *  if ( !_Thread_Dispatch_necessary )