Index: scripts/ChangeLog
===================================================================
--- scripts/ChangeLog	(revision 771e79d6a9deae0f265206996b46201f81720386)
+++ scripts/ChangeLog	(revision 513afacb123ae3059180a34d0db09f661f1108dc)
@@ -1,2 +1,12 @@
+2002-08-13	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* gcc3newlib/base-gnat.add: Don't use %{%prefix}/bin/gnat*.
+	* gcc3newlib/Makefile.am: Use mkspec for c4x.
+	* gcc3newlib/target-gnat.add: Rework processing of %if %build_XXX.
+	Rework handing Ada.
+	Don't put adalib and adainclude into files.gcc.
+	* gcc3newlib/target-gnat.add: Add adalib.
+	Add adainclude.
+
 2002-08-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: scripts/gcc3newlib/Makefile.am
===================================================================
--- scripts/gcc3newlib/Makefile.am	(revision 771e79d6a9deae0f265206996b46201f81720386)
+++ scripts/gcc3newlib/Makefile.am	(revision 513afacb123ae3059180a34d0db09f661f1108dc)
@@ -38,6 +38,6 @@
 RPM_SPECS_DATA += arm-rtems-$(GCC3NEWLIBVERS).spec
 
-c4x-rtems-$(GCC3NEWLIBVERS).spec: $(MKGCCNEWLIB_C_ONLY_SPEC_DEPS)
-	$(MKSPEC) $(C_ONLY_ARG) -cfg $(top_builddir)/setup.cache c4x-rtems > $@
+c4x-rtems-$(GCC3NEWLIBVERS).spec: $(MKGCCNEWLIB_DEPS)
+	$(MKSPEC) -cfg $(top_builddir)/setup.cache c4x-rtems > $@
 RPM_SPECS_DATA += c4x-rtems-$(GCC3NEWLIBVERS).spec
 
Index: scripts/gcc3newlib/base-gnat.add
===================================================================
--- scripts/gcc3newlib/base-gnat.add	(revision 771e79d6a9deae0f265206996b46201f81720386)
+++ scripts/gcc3newlib/base-gnat.add	(revision 513afacb123ae3059180a34d0db09f661f1108dc)
@@ -15,4 +15,4 @@
 %files -n rtems-base-gnat
 %dir %{_prefix}/bin
-%{_prefix}/bin/gnat*
+# %{_prefix}/bin/gnat*
 %endif
Index: scripts/gcc3newlib/gccnewlib.add
===================================================================
--- scripts/gcc3newlib/gccnewlib.add	(revision 771e79d6a9deae0f265206996b46201f81720386)
+++ scripts/gcc3newlib/gccnewlib.add	(revision 513afacb123ae3059180a34d0db09f661f1108dc)
@@ -51,14 +51,20 @@
 
 %if "@target_alias@"     == "c4x-rtems"
-%define build_gnat 	0
 %define build_cxx	0
-%elseif "@target_alias@" == "i386-rtems"
+%endif
+
+%if "@target_alias@" == "i386-rtems"
 %define build_gnat 	1
-%elseif "@target_alias@" == "i960-rtems"
-%define build_gnat      0
+%endif
+
+%if "@target_alias@" == "i960-rtems"
 %define build_cxx	0
-%elseif "@target_alias@" == "powerpc-rtems"
+%endif
+
+%if "@target_alias@" == "powerpc-rtems"
 %define build_gnat      1
-%elseif "@target_alias@" == "sparc-rtems"
+%endif
+
+%if "@target_alias@" == "sparc-rtems"
 %define build_gnat      1
 %endif
@@ -103,5 +109,8 @@
 # %endif
 
-  languages="c,c++"
+  languages="c"
+%if %build_cxx
+  languages="$languages,c++"
+%endif
 %if %build_g77
   languages="$languages,g77"
@@ -129,9 +138,9 @@
   make all
 %if %build_gnat
-  cd gcc
 # This is what is documented, but it doesn't work for me (RC)
 #  make gnatlib_and_tools
-  make cross-gnattools
-  cd ..
+  make -C gcc cross-gnattools
+  make -C gcc ada.all.cross
+  make -C gcc gnatlib
 %endif
   make info
@@ -145,5 +154,6 @@
 #
 
-  make prefix=$RPM_BUILD_ROOT%{_prefix} install
+  make prefix=$RPM_BUILD_ROOT%{_prefix} \
+    bindir=$RPM_BUILD_ROOT%{_bindir} install
   cd @target_alias@/newlib
   make prefix=$RPM_BUILD_ROOT%{_prefix} \
@@ -216,4 +226,7 @@
     *include/objc*) ;;
     *include/g++*);;
+    *adainclude*);;
+    *adalib*);;
+    *gnat1);;
     *jc1) ;;
     *jvgenmain) ;;
Index: scripts/gcc3newlib/target-gnat.add
===================================================================
--- scripts/gcc3newlib/target-gnat.add	(revision 771e79d6a9deae0f265206996b46201f81720386)
+++ scripts/gcc3newlib/target-gnat.add	(revision 513afacb123ae3059180a34d0db09f661f1108dc)
@@ -20,3 +20,5 @@
 
 %{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/gnat1@exe_ext@
+%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/adalib
+%{_prefix}/lib/gcc-lib/@target_alias@/@gcc_version@/adainclude
 %endif