Index: cpukit/libmisc/capture/capture-cli.c
===================================================================
--- cpukit/libmisc/capture/capture-cli.c	(revision 5a8a05b2c9fce41cda685361e13a11bbf605676d)
+++ cpukit/libmisc/capture/capture-cli.c	(revision 529fc626123c81a45d1a1d55686bd23f631c0d5e)
@@ -59,5 +59,9 @@
 
 static void
-rtems_capture_cli_open (int argc, char **argv)
+rtems_capture_cli_open (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_unsigned32  size = 0;
@@ -127,5 +131,9 @@
 
 static void
-rtems_capture_cli_close (int argc, char **argv)
+rtems_capture_cli_close (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -152,5 +160,9 @@
 
 static void
-rtems_capture_cli_enable (int argc, char **argv)
+rtems_capture_cli_enable (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -177,5 +189,9 @@
 
 static void
-rtems_capture_cli_disable (int argc, char **argv)
+rtems_capture_cli_disable (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -202,5 +218,9 @@
 
 static void
-rtems_capture_cli_task_list (int argc, char **argv)
+rtems_capture_cli_task_list (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_task_priority   ceiling = rtems_capture_watch_get_ceiling ();
@@ -434,5 +454,9 @@
 
 static void
-rtems_capture_cli_task_load (int argc, char **argv)
+rtems_capture_cli_task_load (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code   sc;
@@ -473,5 +497,5 @@
   for (;;)
   {
-    char c = getchar ();
+    int c = getchar ();
 
     if ((c == '\r') || (c == '\n'))
@@ -501,5 +525,9 @@
 
 static void
-rtems_capture_cli_watch_list (int argc, char **argv)
+rtems_capture_cli_watch_list (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_capture_control_t* control = rtems_capture_get_control_list ();
@@ -623,5 +651,9 @@
 
 static void
-rtems_capture_cli_watch_add (int argc, char **argv)
+rtems_capture_cli_watch_add (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -681,5 +713,9 @@
 
 static void
-rtems_capture_cli_watch_del (int argc, char **argv)
+rtems_capture_cli_watch_del (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -738,5 +774,9 @@
 
 static void
-rtems_capture_cli_watch_control (int argc, char **argv)
+rtems_capture_cli_watch_control (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -800,5 +840,9 @@
 
 static void
-rtems_capture_cli_watch_global (int argc, char **argv)
+rtems_capture_cli_watch_global (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -850,5 +894,9 @@
 
 static void
-rtems_capture_cli_watch_ceiling (int argc, char **argv)
+rtems_capture_cli_watch_ceiling (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code   sc;
@@ -897,5 +945,9 @@
 
 static void
-rtems_capture_cli_watch_floor (int argc, char **argv)
+rtems_capture_cli_watch_floor (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code   sc;
@@ -944,5 +996,9 @@
 
 static void
-rtems_capture_cli_trigger_set (int argc, char **argv)
+rtems_capture_cli_trigger_set (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code       sc;
@@ -1096,5 +1152,9 @@
 
 static void
-rtems_capture_cli_trace_records (int argc, char **argv)
+rtems_capture_cli_trace_records (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code       sc;
@@ -1217,5 +1277,9 @@
 
 static void
-rtems_capture_cli_flush (int argc, char **argv)
+rtems_capture_cli_flush (
+  int argc, 
+  char **argv,
+  unsigned32 command_arg, 
+  boolean verbose )
 {
   rtems_status_code sc;
@@ -1251,5 +1315,5 @@
     "usage: copen [-i] size\n",
     0,
-    (void*) rtems_capture_cli_open,
+    rtems_capture_cli_open,
     0,
     0
@@ -1259,5 +1323,5 @@
     "usage: cclose\n",
     0,
-    (void*) rtems_capture_cli_close,
+    rtems_capture_cli_close,
     0,
     0
@@ -1267,5 +1331,5 @@
     "usage: cenable\n",
     0,
-    (void*) rtems_capture_cli_enable,
+    rtems_capture_cli_enable,
     0,
     0
@@ -1275,5 +1339,5 @@
     "usage: cdisable\n",
     0,
-    (void*) rtems_capture_cli_disable,
+    rtems_capture_cli_disable,
     0,
     0
@@ -1283,5 +1347,5 @@
     "usage: ctlist \n",
     0,
-    (void*) rtems_capture_cli_task_list,
+     rtems_capture_cli_task_list,
     0,
     0
@@ -1291,5 +1355,5 @@
     "usage: ctload \n",
     0,
-    (void*) rtems_capture_cli_task_load,
+    rtems_capture_cli_task_load,
     0,
     0
@@ -1299,5 +1363,5 @@
     "usage: cwlist\n",
     0,
-    (void*) rtems_capture_cli_watch_list,
+    rtems_capture_cli_watch_list,
     0,
     0
@@ -1307,5 +1371,5 @@
     "usage: cwadd [task name] [id]\n",
     0,
-    (void*) rtems_capture_cli_watch_add,
+    rtems_capture_cli_watch_add,
     0,
     0
@@ -1315,5 +1379,5 @@
     "usage: cwdel [task name] [id]\n",
     0,
-    (void*) rtems_capture_cli_watch_del,
+    rtems_capture_cli_watch_del,
     0,
     0
@@ -1323,5 +1387,5 @@
     "usage: cwctl [task name] [id] on/off\n",
     0,
-    (void*) rtems_capture_cli_watch_control,
+    rtems_capture_cli_watch_control,
     0,
     0
@@ -1331,5 +1395,5 @@
     "usage: cwglob on/off\n",
     0,
-    (void*) rtems_capture_cli_watch_global,
+    rtems_capture_cli_watch_global,
     0,
     0
@@ -1339,5 +1403,5 @@
     "usage: cwceil priority\n",
     0,
-    (void*) rtems_capture_cli_watch_ceiling,
+    rtems_capture_cli_watch_ceiling,
     0,
     0
@@ -1347,5 +1411,5 @@
     "usage: cwfloor priority\n",
     0,
-    (void*) rtems_capture_cli_watch_floor,
+    rtems_capture_cli_watch_floor,
     0,
     0
@@ -1355,5 +1419,5 @@
     "usage: ctrace [-c] [-r records]\n",
     0,
-    (void*) rtems_capture_cli_trace_records,
+    rtems_capture_cli_trace_records,
     0,
     0
@@ -1363,5 +1427,5 @@
     "usage: ctrig type [from name] [from id] [to name] [to id]\n",
     0,
-    (void*) rtems_capture_cli_trigger_set,
+    rtems_capture_cli_trigger_set,
     0,
     0
@@ -1371,5 +1435,5 @@
     "usage: cflush [-n]\n",
     0,
-    (void*) rtems_capture_cli_flush,
+    rtems_capture_cli_flush,
     0,
     0